Status: In Progress Start date: 25 Feb 2020

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 10%

Category: Data Structures Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.40 hour

Description

As often happens, storing twice an information may lead to problems.

We have the fields IhaveGBasisValue and myGBasisValue.

Currently we cannot have myGBasisValue not empty which is not a valid GBasis.

So, what's the point in having IhaveGBasisValue?

Check well, and decide.

Related issues:

Related to CoCoA-5 - Bug #1420: IdealOfProjectivePoints and MinGens: problem ... Closed 18 Feb 2020

Related to CoCoALib - Design #924: FlagManager for bool/bool3 flags New 19 Sep 2016

Related to CoCoALib - Design #1255: Ideals with trivial GBasis New 11 Mar 2019

History

#1 - 25 Feb 2020 16:16 - Anna Maria Bigatti

- Related to Bug #1420: IdealOfProjectivePoints and MinGens: problem with CoCoA_ASSERT added

#2 - 25 Feb 2020 16:16 - Anna Maria Bigatti

- Related to Design #924: FlagManager for bool/bool3 flags added

#3 - 25 Feb 2020 17:50 - John Abbott

Some notes:

if the ideal is zero then the GBasis is empty (but correct)

if our impl assumes that non-empty gbasis means that it is correct and complete then this must be clearly documented!

#4 - 25 Feb 2020 17:50 - John Abbott

- Related to Design #1255: Ideals with trivial GBasis added

#5 - 26 Feb 2020 11:30 - John Abbott

- Status changed from New to In Progress

IMPORTANT  When the task is almost finished, we must review the impl of SparsePolyRingBase::IdealImpl::myGBasis.

#6 - 03 Nov 2021 20:07 - John Abbott

We should see who uses the flag IHaveGBasis.

Presumably it could be replaced by a function which returns true if the ideal is 0 or if myGBasisValue is not empty.

Is this an issue we can resolve quickly and easily... here "we" probably means Anna ;-)
#7 - 28 Jan 2022 13:05 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#8 - 16 Feb 2024 17:56 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
